#include "zonefile_cod7_pc.h"

ZoneFile_COD7_PC::ZoneFile_COD7_PC()
    : ZoneFile()
{
    pSetType(0, ASSET_TYPE_XMODELPIECES);
    pSetType(1, ASSET_TYPE_PHYSPRESET);
    pSetType(2, ASSET_TYPE_PHYSCONSTRAINTS);
    pSetType(3, ASSET_TYPE_DESTRUCTIBLEDEF);
    pSetType(4, ASSET_TYPE_XANIMPARTS);
    pSetType(5, ASSET_TYPE_XMODEL);
    pSetType(6, ASSET_TYPE_MATERIAL);
    pSetType(7, ASSET_TYPE_TECHNIQUE_SET);
    pSetType(8, ASSET_TYPE_IMAGE);
    pSetType(9, ASSET_TYPE_SOUND);
    pSetType(10, ASSET_TYPE_SOUND_PATCH);
    pSetType(11, ASSET_TYPE_CLIPMAP);
    pSetType(12, ASSET_TYPE_CLIPMAP_PVS);
    pSetType(13, ASSET_TYPE_COMWORLD);
    pSetType(14, ASSET_TYPE_GAMEWORLD_SP);
    pSetType(15, ASSET_TYPE_GAMEWORLD_MP);
    pSetType(16, ASSET_TYPE_MAP_ENTS);
    pSetType(17, ASSET_TYPE_GFXWORLD);
    pSetType(18, ASSET_TYPE_LIGHT_DEF);
    pSetType(19, ASSET_TYPE_UI_MAP);
    pSetType(20, ASSET_TYPE_FONT);
    pSetType(21, ASSET_TYPE_MENULIST);
    pSetType(22, ASSET_TYPE_MENU);
    pSetType(23, ASSET_TYPE_LOCALIZE_ENTRY);
    pSetType(24, ASSET_TYPE_WEAPON);
    pSetType(25, ASSET_TYPE_WEAPONDEF);
    pSetType(26, ASSET_TYPE_WEAPON_VARIANT);
    pSetType(27, ASSET_TYPE_SNDDRIVER_GLOBALS);
    pSetType(28, ASSET_TYPE_FX);
    pSetType(29, ASSET_TYPE_IMPACT_FX);
    pSetType(30, ASSET_TYPE_AITYPE);
    pSetType(31, ASSET_TYPE_MPTYPE);
    pSetType(32, ASSET_TYPE_MPBODY);
    pSetType(33, ASSET_TYPE_MPHEAD);
    pSetType(34, ASSET_TYPE_CHARACTER);
    pSetType(35, ASSET_TYPE_XMODELALIAS);
    pSetType(36, ASSET_TYPE_RAWFILE);
    pSetType(37, ASSET_TYPE_STRINGTABLE);
    pSetType(38, ASSET_TYPE_PACK_INDEX);
    pSetType(39, ASSET_TYPE_XGLOBALS);
    pSetType(40, ASSET_TYPE_DDL);
    pSetType(41, ASSET_TYPE_GLASSES);
    pSetType(42, ASSET_TYPE_EMBLEMSET);
    pSetType(43, ASSET_TYPE_COUNT);
    pSetType(44, ASSET_TYPE_ASSETLIST);

}

ZoneFile_COD7_PC::~ZoneFile_COD7_PC()
{

}

bool ZoneFile_COD7_PC::Load(const QByteArray aFileData) {
    return true;
}
